Subject: Re: bug#67791: 30.0.50; `t' command on Gnus summary buffer sometimes causes an error

From: Eli Zaretskii <[email-masked]>
Date: Wed, 13 Dec 2023 13:55:32 +0200

> Date: Wed, 13 Dec 2023 11:11:38 +0900
> From: Katsumi Yamaoka <[email-masked]>
> Cc: [email-masked]
> 
> On Tue, 12 Dec 2023 13:51:30 +0200, Eli Zaretskii wrote:
> > Did you try using the newer buffer-text-pixel-size instead?
> 
> Thanks, but I didn't know and not tried it.  Probably the buffer
> needs to be narrowed to FROM and TO, that are the arguments
> passed to `window-text-pixel-size'.

I don't think you need to narrow the buffer, no.

> Un?fortunately the error comes not to happen on today's Emacs
> built for the unknown reason.  The article window is always
> selected when `pixel-fill-region' runs in spite of invoking the
> `t' command on the summary window.  So, I'm closing this bug,
> but I'll reopen it if the issue arises again.

OK, thanks.  If it does arise again, please try using
buffer-text-pixel-size in that place, I think it fits better what
(AFAIU) the code wants to accomplish there.